
import React from 'react';
import Container from 'react-bootstrap/Container';
import Col from 'react-bootstrap/Col';
import Row from 'react-bootstrap/Row';
import JobCard from './JobCard';
import { usePersonContext } from './PersonContext';
import { Job } from '../../PersonalDataTypes';
import { partition } from '../utils';

const entriesPerRow = 2

export default function JobsHistory() {
    const person = usePersonContext()

    function JobEntry(job: Job, heading?: string) {
        return <JobCard 
            heading={heading}
            {...job}
            />
    }

    return (
    <Container>
        <h2>Experience</h2>
        {person.jobs.current && (
        <Row>
          <Col>
          {JobEntry(person.jobs.current, 'Current position')}
          </Col>
        </Row>
        )}
        {partition(person.jobs.previous, entriesPerRow).map((jobs, index) => (
        <Row key={index}>
          {(jobs.map((job, subindex) => (
          <Col key={index + '_' + subindex}>
            {JobEntry(job)}
          </Col>
          )))}
        </Row>
          ))}
    </Container>
    )
}
